<ion-header>
  <ion-navbar color="primary">
    <ion-title>Visits</ion-title>
    <!-- <ion-buttons end>
        <button ion-button icon-only (click)="filters()"><ion-icon name="ios-funnel-outline"></ion-icon></button>
    </ion-buttons> -->
  </ion-navbar>
</ion-header>

<ion-content>  
  <ion-item *ngIf="isAdmin" no-lines>
    <ion-label>Filter Agent</ion-label>
    <ion-select [(ngModel)]="filter_agent" (ionChange)="applyFilter()">
      <ion-option>All</ion-option>
      <ion-option *ngFor="let agent of agents" [value]="agent.id">{{agent.name}}</ion-option>
    </ion-select>
  </ion-item>
  
  <div *ngIf="hasLoaded">
    <ion-card *ngFor="let visit of visits" (click)="openDetail(visit)">
      <ion-card-header>{{visit.agent_name}}</ion-card-header>
      <ion-card-content>
          <p><ion-icon name="ios-person-outline" item-start></ion-icon> {{visit.customer}}</p>
          <p><ion-icon name="md-log-in" item-start></ion-icon> {{visit.in | date:'MMM dd, yyyy HH:mm'}}</p>
          <p *ngIf="visit.out"><ion-icon name="md-log-out" item-start></ion-icon> {{visit.out | date:'MMM dd, yyyy HH:mm'}}</p>        
      </ion-card-content>
    </ion-card>
  </div>

  <div class="skeleton" *ngIf="!hasLoaded">
    <div class="card">
      <div class="name"></div>
      <div class="line"></div>
      <div class="line"></div>
    </div>
    <div class="card">
      <div class="name"></div>
      <div class="line"></div>
      <div class="line"></div>
    </div>
  </div>
</ion-content>

<button ion-fab class="fab-button" (click)="add()">
    <ion-icon name="add"></ion-icon>
</button>